// CBlocks : funcs.h
//
// Tile functions
//
// See userguide.pdf for copyright information

#ifndef FUNCS_H
#define FUNCS_H

#include "grid.h"

/* Function prototypes for all block functions */

void funcEmpty(Grid *g,int x, int y);
void funcWire(Grid *g,int x, int y);
void funcCrossover(Grid *g,int x, int y);
void funcDelta(Grid *g,int x, int y);
void funcInverter(Grid *g,int x, int y);
void funcAndGate(Grid *g,int x, int y);
void funcOrGate(Grid *g,int x, int y);
void funcNandGate(Grid *g,int x, int y);
void funcNorGate(Grid *g,int x, int y);
void funcInsulator(Grid *g,int x, int y);
void funcPusher(Grid *g,int x, int y);
void funcKeypress(Grid *g,int x, int y);
void funcThruster(Grid *g,int x, int y);
void funcRightFuser(Grid *g,int x, int y);
void funcLeftFuser(Grid *g,int x, int y);
void funcRightUnfuser(Grid *g,int x, int y);
void funcLeftUnfuser(Grid *g,int x, int y);
void funcRotator(Grid *g,int x, int y);
void funcDetector(Grid *g,int x, int y);
void funcRightSlider(Grid *g,int x, int y);
void funcLeftSlider(Grid *g,int x, int y);
void funcEqual(Grid *g,int x, int y);
void funcPulser(Grid *g,int x, int y);
void funcSetReset(Grid *g,int x, int y);
void funcCreator(Grid *g,int x, int y);
void funcMultiplier(Grid *g,int x, int y);
void funcAdder(Grid *g,int x, int y);
void funcNegator(Grid *g,int x, int y);
void funcStore(Grid *g,int x, int y);
void funcDirDetector(Grid *g,int x, int y);
void funcLessThan(Grid *g,int x, int y);
void funcGreaterThan(Grid *g,int x, int y);
void funcToggle(Grid *g,int x, int y);

#endif
